org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface SingleValuedAttributeInstance

All Superinterfaces:
  AbstractAttributeInstance

    public interface SingleValuedAttributeInstance
    extends AbstractAttributeInstance

A representation of the model object 'Single Valued Attribute Instance'.

The following features are supported:

- `Value`

See Also:
  `SerializationPackage.getSingleValuedAttributeInstance()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute.
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.AbstractAttributeInstance

`getEAttribute, setEAttribute`

### Method Detail

#### getValue

    java.lang.Object getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(Object)`, `SerializationPackage.getSingleValuedAttributeInstance_Value()`
Generated:
Model:

#### setValue

    void setValue(java.lang.Object value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`
Generated: